/* Contextual margins */

.rst-content section + h2,
.rst-content section + h3,
.rst-content section + h4,
.rst-content section + h5,
.rst-content section + section {
  margin-top: 24px;
}

.rst-content .image-reference + p,
.rst-content .image-reference + section,
.rst-content .image-reference + div {
  margin-top: 16px;
}

/* override table width restrictions */
@media screen and (min-width: 767px) {
  .wy-table-responsive table td {
    /* !important prevents the common CSS stylesheets from overriding
         this as on RTD they are loaded after this stylesheet */
    white-space: normal !important;
  }
  .wy-table-responsive table td:first-child {
    white-space: nowrap !important;
  }
  .wy-table-responsive table {
    background-color: white;
  }
  .wy-table-responsive {
    overflow: visible !important;
  }
}

/* Depends on logo but default seems ok for this. */
.wy-side-nav-search {
  background-color: #04a5bb;
}

.rst-content a:link,
.rst-content a:visited {
  color: #017092;
}

.rst-content a:focus,
.rst-content a:hover {
  color: #051f31;
}
